Create Professional Monitoring Product
Assign a monitoring product to a professional.
Configures a monitoring product to the Propelus generated professional id.
Authorization
apiKey clientId In: header
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/monitoring" \ -H "Content-Type: application/json" \ -d '{ "professionalId": "76b04dae-ca2e-47d8-b4d8-993fdf9ec3a5", "product": "credentialVerification" }'{
"code": "accepted",
"detail": "Monitoring for adverseCheckEssentials has been created for the professional.",
"professionalId": "628fc8e2-ee7e-4779-9eb7-d980e7a92f3a",
"product": "adverseCheckEssentials",
"monitors": [
{
"id": "8ed1671f-2912-44ff-876e-befb5cb5134a",
"status": "ready",
"product": "adverseCheckEssentials",
"productCategory": "automated",
"nextScheduledDate": "2026-05-15"
}
]
}{
"status": 400,
"code": "missing_fields",
"detail": "string",
"errors": [
{
"detail": "string",
"pointer": "string",
"parameter": "string",
"header": "string",
"code": "string"
}
]
}{
"status": 400,
"code": "missing_fields",
"detail": "string",
"errors": [
{
"detail": "string",
"pointer": "string",
"parameter": "string",
"header": "string",
"code": "string"
}
]
}{
"status": 400,
"code": "missing_fields",
"detail": "string",
"errors": [
{
"detail": "string",
"pointer": "string",
"parameter": "string",
"header": "string",
"code": "string"
}
]
}{
"status": 400,
"code": "missing_fields",
"detail": "string",
"errors": [
{
"detail": "string",
"pointer": "string",
"parameter": "string",
"header": "string",
"code": "string"
}
]
}{
"status": 429,
"detail": "string",
"code": "f5d62b05-370e-48be-a755-8675ca146431"
}{
"status": 400,
"code": "missing_fields",
"detail": "string",
"errors": [
{
"detail": "string",
"pointer": "string",
"parameter": "string",
"header": "string",
"code": "string"
}
]
}{
"status": 500,
"detail": "string",
"code": "unexpected_error"
}Delete Credential by ID DELETE
Delete a professional credential by the Propelus generated `professionalId` and `credentialId` as unique identifiers. Warning: This operation is irreversible. If you would like to perform a non-permanent action, simply remove the [monitoring product](/monitoring/DeleteMonitoringById) instead of deleting the credential.
List a Professional's Enrolled Products GET
Get the monitored products for a professional. Receive all products assigned to a professional for monitoring.